let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    Phone: '',
    type: '',
    TCID: '',
    dataList: [],
    tipsMsg: ""
  },
  goPage: function (e) {
    let index = e.currentTarget.dataset.index;
    let name = this.data.dataList[index].nameID
    let orderId = this.data.dataList[index].OrderId
    wx.setStorage({
      key: "info",
      data: {
        ID: this.data.dataList[index].Id,
        nameID: name
      }
    })
    wx.navigateTo({
      url: '/pages/Voucher/VoucherDetails/VoucherDetails?&orderId=' + orderId + '&tcId=' + this.data.TCID
    })
  },
  bindgetphonenumber: function (e) {
    console.log(e)
    let _this = this
    if (e.detail.iv) {
      wx.login({
        success(res) {
          if (res.code) {
            let code = res.code
            console.log(code)
            let msg = {
              encryptedData: e.detail.encryptedData,
              iv: e.detail.iv,
              code: code
            }
            app.$api('survey_post_GetGuestWeiXinMobile', msg).then(res => {
              console.log(JSON.parse(res))
              let d = JSON.parse(res)
              _this.setData({
                Phone: d.phoneNumber
              })
              console.log(_this.data.Phone)
              _this.Details()
            }).catch(err => {

            })
          } else {
            console.log('登录失败！' + res.errMsg)
          }
        }
      })
    }
  },
  //输入手机号
  TelPhone: function (e) {
    let val = e.detail.value.replace(/\s*/g, "")
    this.setData({
      Phone: val
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options)
    this.setData({
      type: options.type,
      TCID: options.TCID
    })
  },
  Details: function (){
    if (this.Phone == '') {
      wx.showToast({
        title: '请输入'+ this.data.type == '1' ? '手机号' : '护照号',
        icon: 'none',
        duration: 1000
      })
      return
    }
    let msg = {
      type: this.data.type,
      guestMobile: this.data.Phone,
      TCID: this.data.TCID
    }
    app.$api('miniProgram_price_GetGuestByPhone_V2', msg).then(res => {
      console.log(res)
      if (res.length<1) {
        wx.showToast({
          title: "暂未找到相关信息",
          icon: 'none',
          duration: 1000
        })
        return
      }
      for (let i = 0; i < res.length; i++) {
        res[i].nameID = res[i].SurName + (res[i].Sex === 1 ? '先生' : '女士');
        res[i].MobilePhoneS = res[i].MobilePhone.substr(0, 3) + '****' + res[i].MobilePhone.substr(7)
      }
      this.setData({
        dataList: res
      })
    }).catch(err => {
     
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})